Subject: Re: Build error on NetBSD

From: Sergey Matveev <[email-masked]>
Date: Wed, 4 Aug 2021 20:58:05 +0300

*** John Goerzen [2021-08-04 11:02]:
>NetBSD does have a C statvfs() call, and does not have statfs().

Yeah, I found that later too. So I will use Statvfs for NetBSD.

>According
>to the Linux statfs(2) manpage, POSIX calls for statvfs() and doesn't
>mention statfs().

But golang.org/x/sys/unix does not have Statvfs for FreeBSD :-), however
FreeBSD itself has statvfs() call.

>Weird that it seems to not even be using libc here and going with a
>direct syscall interface (!)

Yes, Go is known for that.

https://utcc.utoronto.ca/~cks/space/blog/programming/GoCLibraryAPIIssues
https://utcc.utoronto.ca/~cks/space/blog/programming/Go116OpenBSDUsesLibc

>I got it to compile and work by just replacing that entire function with
>"return true".

Good, thanks for checking it out! I will make Statvfs() usage for NetBSD
in the nearest release.

-- 
Sergey Matveev (http://www.stargrave.org/)
OpenPGP: CF60 E89A 5923 1E76 E263  6422 AE1A 8109 E498 57EF